Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Jan 2009 15:57:23 -0500

>> The problem is that tool-bar-mode, and menu-bar-mode and too coarse:
>> they offer no way for the user to say whether he wants it to apply to
>> every single frame, or only to those currently displayed, or only the
>> current one, or only those on the current terminal, ...
>> 
>> Also, making them work right would probably require keeping track for
>> each and ever frame of where its parameters came from.  So tool-bar-mode
>> could just set default-frame-alist and then "refresh" every
>> frame's parameters.

> Isn't that a good general structure for all kinds of local/global settings?

Yes, I think so.  Not that it's easy to do, tho.

        Stefan